# PCILUSetMatOrdering

Sets the ordering routine (to reduce fill) to be used in the ILU factorization.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCILUSetMatOrdering(PC pc,MatOrderingType ordering)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| ordering | - the matrix ordering name, for example, MATORDERING_ND or MATORDERING_RCM

### Options Database Key

-pc_ilu_mat_ordering_type <nd,rcm,...> -Sets ordering routine

Notes: natural ordering is used by default

### See Also

PCLUSetMatOrdering()

### Keywords

PC, ILU, set, matrix, reordering

Level:intermediate
Location:src/ksp/pc/impls/ilu/ilu.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages